#   copyright Cornell University 1989
# "{CLibraries}"CInterface.o 

TNStack			TNOpen.c.o TNConnect.c.o TNSendStr.c.o TNSendCmd.c.o 
				TNStatus.c.o TNReceive.c.o TNClose.c.o TNQuit.c.o


TNOpen.c.o		TNOpen.c
	echo "--> TNOpen.c"
	C -b -n TNOpen.c
	Link	-sn Main=TNOPEN 
			-sn STDIO=TNOPEN 
			-sn INTENV=TNOPEN 
			-m TNOPEN 
			-rt XCMD=1 
			TNOpen.c.o 
			"{Libraries}"Interface.o 
			"{CLibraries}"StdCLib.o 
			"{CLibraries}"CRuntime.o 
			-o TNStack

TNConnect.c.o		TNConnect.c
	echo "--> TNConnect.c"
	C -b -n TNConnect.c
	Link	-sn Main=TNCONNECT 
			-sn STDIO=TNCONNECT 
			-sn INTENV=TNCONNECT 
			-m TNCONNECT 
			-rt XCMD=2 
			TNConnect.c.o 
			"{Libraries}"Interface.o 
			"{CLibraries}"StdCLib.o 
			"{CLibraries}"CRuntime.o 
			-o TNStack

TNSendStr.c.o		TNSendStr.c
	echo "--> TNSendStr.c"
	C -b -n TNSendStr.c
	Link	-sn Main=TNSENDSTR 
			-sn STDIO=TNSENDSTR 
			-sn INTENV=TNSENDSTR 
			-m TNSENDSTR 
			-rt XCMD=3 
			TNSendStr.c.o 
			"{Libraries}"Interface.o 
			"{CLibraries}"StdCLib.o 
			"{CLibraries}"CRuntime.o 
			-o TNStack

TNSendCmd.c.o		TNSendCmd.c
	echo "--> TNSendCmd.c"
	C -b -n TNSendCmd.c
	Link	-sn Main=TNSENDCMD 
			-sn STDIO=TNSENDCMD 
			-sn INTENV=TNSENDCMD 
			-m TNSENDCMD 
			-rt XCMD=4 
			TNSendCmd.c.o 
			"{Libraries}"Interface.o 
			"{CLibraries}"StdCLib.o 
			"{CLibraries}"CRuntime.o 
			-o TNStack

TNStatus.c.o		TNStatus.c
	echo "--> TNStatus.c"
	C -b -n TNStatus.c
	Link	-sn Main=TNSTATUS 
			-sn STDIO=TNSTATUS 
			-sn INTENV=TNSTATUS 
			-m TNSTATUS 
			-rt XCMD=5 
			TNStatus.c.o 
			"{Libraries}"Interface.o 
			"{CLibraries}"StdCLib.o 
			"{CLibraries}"CRuntime.o 
			-o TNStack

TNReceive.c.o		TNReceive.c
	echo "--> TNReceive.c"
	C -b -n TNReceive.c
	Link	-sn Main=TNRECEIVE 
			-sn STDIO=TNRECEIVE 
			-sn INTENV=TNRECEIVE 
			-rt XCMD=6 
			-m TNRECEIVE 
			TNReceive.c.o 
			"{Libraries}"Interface.o 
			"{CLibraries}"StdCLib.o 
			"{CLibraries}"CRuntime.o 
			-o TNStack

TNClose.c.o		TNClose.c
	echo "--> TNClose.c"
	C -b -n TNClose.c
	Link	-sn Main=TNCLOSE 
			-sn STDIO=TNCLOSE 
			-sn INTENV=TNCLOSE 
			-rt XCMD=7 
			-m TNCLOSE 
			TNClose.c.o 
			"{Libraries}"Interface.o 
			"{CLibraries}"StdCLib.o 
			"{CLibraries}"CRuntime.o 
			-o TNStack

TNQuit.c.o		TNQuit.c
	echo "--> TNQuit.c"
	C -b -n TNQuit.c
	Link	-sn Main=TNQUIT 
			-sn STDIO=TNQUIT 
			-sn INTENV=TNQUIT 
			-rt XCMD=7 
			-m TNQUIT 
			TNQuit.c.o 
			"{Libraries}"Interface.o 
			"{CLibraries}"StdCLib.o 
			"{CLibraries}"CRuntime.o 
			-o TNStack

